play.libs.ws

## Class WSUrlFetch

- java.lang.Object
- - play.libs.ws.WSUrlFetch

All Implemented Interfaces:
  WS.WSImpl

    public class WSUrlFetch
    extends java.lang.Object
    implements WS.WSImpl

Implementation of the WS interface based on Java URL Fetch API. This is to be used for example in Google App Engine, where the async http client can't be used.

### Nested Class Summary

Nested Classes
`static class` `WSUrlFetch.HttpUrlfetchResponse` An HTTP response wrapper
`class` `WSUrlFetch.WSUrlfetchRequest`

### Constructor Summary

Constructors
Constructor and Description
`WSUrlFetch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WS.WSRequest` `newRequest(java.lang.String url, java.lang.String encoding)`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WSUrlFetch

    public WSUrlFetch()

### Method Detail

#### stop

    public void stop()

Specified by:
  `stop` in interface `WS.WSImpl`

#### newRequest

    public WS.WSRequest newRequest(java.lang.String url,
                                   java.lang.String encoding)

Specified by:
  `newRequest` in interface `WS.WSImpl`